<script type="text/javascript">
$(document).ready(function() {
	$("#tabs").tabs({selected:0});
	$("#info_sj").hide();
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
				$("#t_tglawal").val(data.tanggal);
				$("#t_tglakhir").val(data.tanggal);	
			}
		});
	}
	
	$("#cari_daftar").click(function(){
		var tgl_awal 	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglawal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglakhir").focus();
			return false;
		}				
		$("#tampil_daftar").show();
		$("#tampil_daftar").load('modul/surat_jln/tampil_daftar_sj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_daftar").click(function(){
		var tgl_awal 	= $("#t_tglawal").val();
		var tgl_akhir 	= $("#t_tglakhir").val();
		
		window.location.href='modul/laporan/daftar_sj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir;
	});
	
	$("#tutup_daftar").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_sj").click(function(){
		var tgl_awal 	= $("#t_tgl_awal").val();
		var tgl_akhir 	= $("#t_tgl_akhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}				
		$("#tampil_data").show();
		$("#tampil_data").load('modul/surat_jln/tampil_data_sj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#batal_sj").click(function(){
		var kode	= $("#t_kode").val();
		var pilih 	= confirm('Apakah Anda sungguh-sungguh ingin batalkan surat jalan '+kode+' ini ?');
		
		if (pilih==true) {
			var kodesp 	= $("#t_kodesp").val();
			var nomorsa	= $("#t_nomorsa").val();
			var tunit   		= $("#t_tunit").val();
			var total    		= $("#t_total").val();
			var tgl_awal 	= $("#t_tgl_awal").val();
			var tgl_akhir 	= $("#t_tgl_akhir").val();
		
			$.ajax({
				type	: "POST",
				url	: "spv/surat_jln/batal.php",
				data	: "kode="+kode+
					"&nomorsa="+nomorsa+
					"&kodesp="+kodesp+
					"&tunit="+tunit+
					"&total="+total,
				timeout: 2000,
				beforeSend	: function(){		
					$("#info").html("<img src='loading.gif' />");			
				},
				success	: function(data){
					$("#info").html(data);
					$("#info_sj").hide();
					$("#pencarian").show();
					$("#tampil_data").show();
					$("#tampil_data").load('modul/surat_jln/tampil_data_sj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
				}
			});
		}
	});

	$("#tutup_detail").click(function(){
		$("#pencarian").show();
		$("#info_sj").hide();
		$("#tampil_detail").hide();
		$("#tampil_data").show();	
	});
	
	$("#tutup_sj").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >
			<li><a href='#daftar'>DAFTAR SURAT JALAN</a></li>
			<li><a href='#form'>BATAL SURAT JALAN</a></li>
		</ul>";

echo "<div id='daftar'>
		<div id='pencarian_daftar'>
			<table>
				<tr>
					<td>Surat jalan tanggal : <input type='date' name='t_tglawal' id='t_tglawal' size='10'> sampai dengan <input type='date' name='t_tglakhir' id='t_tglakhir' size='10'></td>
					<td>
						<button name='cari_daftar' id='cari_daftar'>Cari</button>
						<button name='cetak_daftar' id='cetak_daftar'>Cetak</button>
						<button name='tutup_daftar' id='tutup_daftar'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>

		<div id='tampil_daftar' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
				
echo "<div id='form_batal'>
		<div id='pencarian'>
			<table>
				<tr>
					<td>Surat jalan tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>
						<button name='cari_sj' id='cari_sj'>Cari</button>
						<button name='tutup_sj' id='tutup_sj'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>

		<div id='tampil_data' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>

		<div id='info_sj'>
			<table>
				<tr>
					<td width='9%'>No.Surat Jalan</td>
					<td>: <input type='text' name='t_kode' id='t_kode' size='12' class='input_header' readonly /></td>
					<td>Tanggal : <input type='date' name='t_tanggal' id='t_tanggal' size='10' class='input_header' ></td>
					<td>Nomor SA : <input type='text' name='t_nomorsa' id='t_nomorsa' size='15' class='input_header'></td>
					<td>SPBE : <input type='text' name='t_kodesp' id='t_kodesp' size='4' class='input_header'> <input type='text' name='t_namasp' id='t_namasp' size='30' class='input_header' readonly /></td>
				</tr>
			</table>
	
			<table width='100%'>
				<tr>
					<input align='right' type='text' name='t_tunit' id='t_tunit' class='input_header' hidden />
					<input align='right' type='text' name='t_total' id='t_total' class='input_header' hidden />
					<td width='9%'>Pengemudi</td>
					<td width='27%'>: <input type='text' id='t_namadv' size='20' class='input_header'></td>
					<td>Nomor Polisi : <input type='text' id='t_nopol' size='15' class='input_header'></td>
					<td align='right'>
						<button name='batal_sj' id='batal_ft'>Batal</button>
						<button name='tutup_detail' id='tutup_detail'>Tutup Detail</button>
					</td>
				</tr>
				</table>
			</div>
	
			<div id='tampil_detail' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
		</div>";

echo "<div id='info' align='center'></div>";

echo "</div>";
?>